> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dimepayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Customer

> Delete a customer record from the selected Merchant. One of the filters is required to select a unique customer. This will also cancel any recurring payments associated with the customer for your company.



## OpenAPI

````yaml https://app.dimepayments.com/openapi.yaml post /api/customer/delete
openapi: 3.0.3
info:
  title: Dime Payments API Documentation
  description: >-
    A simple, basic API for managing Merchants through Dime Payments. JSON based
    REST API
  version: 1.0.0
servers:
  - url: https://app.dimepayments.com
security:
  - default: []
tags:
  - name: Merchant management
    description: ''
  - name: Transaction management
    description: >-

      APIs for managing transactions.  Depending on API KEY permissions, one
      should be able to

      charge credit cards, ACH, Google/Apple Pay wallets along with other
      functions.
  - name: Addresses
    description: |-

      APIs for managing customer addresses
  - name: Customer management
    description: >-

      APIs for managing customers.  Depending on API KEY permissions, one should
      be able to

      list, create, update, and delete customers along with several other
      customer specific requests.
  - name: Deposit management
    description: ''
  - name: Invoice management
    description: >-

      APIs for managing invoices. Depending on API KEY permissions, one should
      be

      able to list, create, update, delete, and send invoices, manage their line

      items, and manage recurring-invoice schedules. Every request is scoped to
      a

      single Merchant via the required `data.sid`.
  - name: Payment Method management
    description: >-

      APIs for managing payment methods associated with customers.  Depending on
      API KEY permissions, one should be able to

      list, show, create, update, and delete payment methods.
  - name: Recurring Payments management
    description: >-

      APIs for managing recurring payments.  Depending on API KEY permissions,
      one should be able to

      create, edit, pause, cancel along with other functions.
  - name: Zapier
    description: >-

      APIs for use through Zapier.  Depending on API KEY permissions, one should
      be able to

      see customers and transactions data.
paths:
  /api/customer/delete:
    post:
      tags:
        - Customer management
      summary: Delete Customer
      description: >-
        Delete a customer record from the selected Merchant. One of the filters
        is required to select a unique customer. This will also cancel any
        recurring payments associated with the customer for your company.
      operationId: deleteCustomer
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                filters:
                  type: object
                  description: ''
                  example: []
                  properties:
                    phone:
                      type: string
                      description: >-
                        A phone number to filter customers by. Must be in the US
                        format e164.
                      example: '+15555555555'
                    email:
                      type: string
                      description: >-
                        An email address to filter customers by. Must comply
                        with RFC email format.
                      example: example@example.com
                    uuid:
                      type: string
                      description: >-
                        A UUID to filter customers by. Must comply with UUID
                        format.
                      example: 60dac128-28da-41ae-8632-aee299de13fd
                data:
                  type: object
                  description: ''
                  example: []
                  properties:
                    sid:
                      type: integer
                      description: The SID of the merchant.
                      example: 12345
                  required:
                    - sid
              required:
                - data
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: ''
                    type: object
                    example:
                      data:
                        uuid: 66f1c230-68cf-4d58-b47c-1bcb83adfddd
                        first_name: Ryan
                        last_name: Taylor
                        phone: '+17707892072'
                        email: rtaylor82@gmail.com
                        addr1: 4655 Hwy 136 W
                        addr2: ''
                        addr3: ''
                        city: Dawsonville
                        state: GA
                        zip: '30534'
                        country: USA
                    properties:
                      data:
                        type: object
                        properties:
                          uuid:
                            type: string
                            example: 66f1c230-68cf-4d58-b47c-1bcb83adfddd
                          first_name:
                            type: string
                            example: Ryan
                          last_name:
                            type: string
                            example: Taylor
                          phone:
                            type: string
                            example: '+17707892072'
                          email:
                            type: string
                            example: rtaylor82@gmail.com
                          addr1:
                            type: string
                            example: 4655 Hwy 136 W
                          addr2:
                            type: string
                            example: ''
                          addr3:
                            type: string
                            example: ''
                          city:
                            type: string
                            example: Dawsonville
                          state:
                            type: string
                            example: GA
                          zip:
                            type: string
                            example: '30534'
                          country:
                            type: string
                            example: USA
                  - description: Successful Deletion
                    type: object
                    example:
                      data:
                        message: Customer removed successfully
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Customer removed successfully
                            description: The message returned from the delete operation.
        '400':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: ''
                    type: object
                    example:
                      message: Validation errors
                    properties:
                      message:
                        type: string
                        example: Validation errors
                  - description: ''
                    type: object
                    example:
                      data:
                        message: No such Merchant
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: No such Merchant
                            description: The message returned from the delete operation.
        '401':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: ''
                    type: object
                    example:
                      data:
                        message: Permission Denied.
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Permission Denied.
                            description: The message returned from the delete operation.
                  - description: ''
                    type: object
                    example:
                      data:
                        message: Merchant or Affiliate check failed
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Merchant or Affiliate check failed
                            description: The message returned from the delete operation.
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token under your profile in top right</b>.

````